Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class AbstractAttr

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractParentNode
              org.apache.batik.dom.AbstractAttr

All Implemented Interfaces:
  Serializable, NodeEventTarget, ExtendedNode, NodeXBL, XBLManagerData, Attr, EventTarget, Node

Direct Known Subclasses:
  AbstractAttrNS, GenericAttr

    public abstract class AbstractAttr

extends AbstractParentNode
implements Attr

This class implements the `Attr` interface.

See Also:
  Serialized Form

Nested Class Summary
`class` | `AbstractAttr.AttrTypeInfo` Inner class to hold type information about this attribute.

Nested classes/interfaces inherited from class org.apache.batik.dom.AbstractParentNode
`AbstractParentNode.ChildNodes, AbstractParentNode.ElementsByTagName, AbstractParentNode.ElementsByTagNameNS`

Field Summary
`protected boolean` | `isIdAttr` Whether this attribute is an ID attribute
`protected String` | `nodeName` The name of this node.
`protected AbstractElement` | `ownerElement` The owner element.
`protected TypeInfo` | `typeInfo` The attribute type information.
`protected boolean` | `unspecified` Whether this attribute was not specified in the original document.

Fields inherited from class org.apache.batik.dom.AbstractParentNode
`childNodes`

Fields inherited from class org.apache.batik.dom.AbstractNode
`DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, EMPTY_NODE_LIST, eventSupport, managerData, ownerDocument, userData, userDataHandlers`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` | `AbstractAttr()` Creates a new Attr object.
`protected` | `AbstractAttr(String name, AbstractDocument owner)` Creates a new Attr object.

Method Summary
`protected void` | `checkChildType(Node n, boolean replace)` Checks the validity of a node to be inserted.
`protected Node` | `copyInto(Node n)` Copy the fields of the current node into the given node.
`protected Node` | `deepCopyInto(Node n)` Deeply copy the fields of the current node into the given node.
`protected Node` | `deepExport(Node n, AbstractDocument d)` Deeply exports this node to the given document.
`protected Node` | `export(Node n, AbstractDocument d)` Exports this node to the given document.
`protected void` | `fireDOMSubtreeModifiedEvent()` Fires a DOMSubtreeModified event.
`String` | `getName()` DOM: Implements `Attr.getName()`.
`String` | `getNodeName()` DOM: Implements `Node.getNodeName()`.
`short` | `getNodeType()` DOM: Implements `Node.getNodeType()`.
`String` | `getNodeValue()` DOM: Implements `Node.getNodeValue()`.
`Element` | `getOwnerElement()` DOM: Implements `Attr.getOwnerElement()`.
`TypeInfo` | `getSchemaTypeInfo()` DOM: Implements `Attr.getSchemaTypeInfo()`.
`boolean` | `getSpecified()` DOM: Implements `Attr.getSpecified()`.
`String` | `getValue()` DOM: Implements `Attr.getValue()`.
`boolean` | `isId()` DOM: Implements `Attr.isId()`.
`protected void` | `nodeAdded(Node n)` Called when a child node has been added.
`protected void` | `nodeToBeRemoved(Node n)` Called when a child node is going to be removed.
`void` | `setIsId(boolean isId)` Sets whether this attribute is an ID attribute.
`void` | `setNodeName(String v)` Sets the node name.
`void` | `setNodeValue(String nodeValue)` DOM: Implements `Node.setNodeValue(String)`.
`void` | `setOwnerElement(AbstractElement v)` Sets the owner element.
`void` | `setSpecified(boolean v)` Sets the specified attribute.
`void` | `setValue(String value)` DOM: Implements `Attr.setValue(String)`.

Methods inherited from class org.apache.batik.dom.AbstractParentNode
`appendChild, checkAndRemove, fireDOMNodeInsertedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedEvent, fireDOMNodeRemovedFromDocumentEvent, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFirstChild, getLastChild, getTextContent, hasChildNodes, insertBefore, normalize, removeChild, replaceChild`

Methods inherited from class org.apache.batik.dom.AbstractNode
`addEventListener, addEventListenerNS, cloneNode, compareDocumentPosition, compareNamedNodeMaps, compareStrings, createDOMException, dispatchEvent, fireDOMCharacterDataModifiedEvent, fireUserDataHandlers, getAttributes, getBaseURI, getBaseURI, getCascadedXMLBase, getCurrentDocument, getEventSupport, getFeature, getLocalName, getManagerData, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getParentNodeEventTarget, getPrefix, getPreviousSibling, getUserData, getXblBoundElement, getXblChildNodes, getXblDefinitions, getXblFirstChild, getXblFirstElementChild, getXblLastChild, getXblLastElementChild, getXblNextElementSibling, getXblNextSibling, getXblParentNode, getXblPreviousElementSibling, getXblPreviousSibling, getXblScopedChildNodes, getXblShadowTree, hasAttributes, hasEventListenerNS, initializeEventSupport, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, lookupPrefix, newNode, removeEventListener, removeEventListenerNS, setManagerData, setNextSibling, setOwnerDocument, setParentNode, setPrefix, setPreviousSibling, setTextContent, setUserData, willTriggerNS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setPrefix, setTextContent, setUserData`

Methods inherited from interface org.apache.batik.dom.ExtendedNode
`isReadonly, setReadonly`

Field Detail

### nodeName

    protected String nodeName

  The name of this node.

### unspecified

    protected boolean unspecified

  Whether this attribute was not specified in the original document.

### isIdAttr

    protected boolean isIdAttr

  Whether this attribute is an ID attribute

### ownerElement

    protected AbstractElement ownerElement

  The owner element.

### typeInfo

    protected TypeInfo typeInfo

  The attribute type information.

Constructor Detail

### AbstractAttr

    protected AbstractAttr()

  Creates a new Attr object.

### AbstractAttr

    protected AbstractAttr(String name,
                           AbstractDocument owner)
                    throws DOMException

  Creates a new Attr object.

  Parameters:
    `name` - The attribute name for validation purposes.
    `owner` - The owner document.
  Throws:
    `DOMException` - INVALID_CHARACTER_ERR: if name contains invalid characters,

Method Detail

### setNodeName

    public void setNodeName(String v)

  Sets the node name.

  Specified by:
    `setNodeName` in interface `ExtendedNode`
  Overrides:
    `setNodeName` in class `AbstractNode`

### getNodeName

    public String getNodeName()

  DOM: Implements `Node.getNodeName()`.

  Specified by:
    `getNodeName` in interface `Node`
  Returns:
    `nodeName`.

### getNodeType

    public short getNodeType()

  DOM: Implements `Node.getNodeType()`.

  Specified by:
    `getNodeType` in interface `Node`
  Returns:
    `Node.ATTRIBUTE_NODE`

### getNodeValue

    public String getNodeValue()
                        throws DOMException

  DOM: Implements `Node.getNodeValue()`.

  Specified by:
    `getNodeValue` in interface `Node`
  Overrides:
    `getNodeValue` in class `AbstractNode`
  Returns:
    The content of the attribute.
  Throws:
    `DOMException`

### setNodeValue

    public void setNodeValue(String nodeValue)
                      throws DOMException

  DOM: Implements `Node.setNodeValue(String)`.

  Specified by:
    `setNodeValue` in interface `Node`
  Overrides:
    `setNodeValue` in class `AbstractNode`
  Throws:
    `DOMException`

### getName

    public String getName()

  DOM: Implements `Attr.getName()`.

  Specified by:
    `getName` in interface `Attr`
  Returns:
    `getNodeName()`.

### getSpecified

    public boolean getSpecified()

  DOM: Implements `Attr.getSpecified()`.

  Specified by:
    `getSpecified` in interface `Attr`
  Returns:
    !`unspecified`.

### setSpecified

    public void setSpecified(boolean v)

  Sets the specified attribute.

  Specified by:
    `setSpecified` in interface `ExtendedNode`
  Overrides:
    `setSpecified` in class `AbstractNode`

### getValue

    public String getValue()

  DOM: Implements `Attr.getValue()`.

  Specified by:
    `getValue` in interface `Attr`
  Returns:
    `getNodeValue()`.

### setValue

    public void setValue(String value)
                  throws DOMException

  DOM: Implements `Attr.setValue(String)`.

  Specified by:
    `setValue` in interface `Attr`
  Throws:
    `DOMException`

### setOwnerElement

    public void setOwnerElement(AbstractElement v)

  Sets the owner element.

### getOwnerElement

    public Element getOwnerElement()

  DOM: Implements `Attr.getOwnerElement()`.

  Specified by:
    `getOwnerElement` in interface `Attr`

### getSchemaTypeInfo

    public TypeInfo getSchemaTypeInfo()

  DOM: Implements `Attr.getSchemaTypeInfo()`.

  Specified by:
    `getSchemaTypeInfo` in interface `Attr`

### isId

    public boolean isId()

  DOM: Implements `Attr.isId()`.

  Specified by:
    `isId` in interface `Attr`

### setIsId

    public void setIsId(boolean isId)

  Sets whether this attribute is an ID attribute.

### nodeAdded

    protected void nodeAdded(Node n)

  Called when a child node has been added.

  Overrides:
    `nodeAdded` in class `AbstractParentNode`

### nodeToBeRemoved

    protected void nodeToBeRemoved(Node n)

  Called when a child node is going to be removed.

  Overrides:
    `nodeToBeRemoved` in class `AbstractParentNode`

### export

    protected Node export(Node n,
                          AbstractDocument d)

  Exports this node to the given document.

  Overrides:
    `export` in class `AbstractNode`

### deepExport

    protected Node deepExport(Node n,
                              AbstractDocument d)

  Deeply exports this node to the given document.

  Overrides:
    `deepExport` in class `AbstractParentNode`

### copyInto

    protected Node copyInto(Node n)

  Copy the fields of the current node into the given node.

  Overrides:
    `copyInto` in class `AbstractNode`
  Parameters:
    `n` - a node of the type of this.

### deepCopyInto

    protected Node deepCopyInto(Node n)

  Deeply copy the fields of the current node into the given node.

  Overrides:
    `deepCopyInto` in class `AbstractParentNode`
  Parameters:
    `n` - a node of the type of this.

### checkChildType

    protected void checkChildType(Node n,
                                  boolean replace)

  Checks the validity of a node to be inserted.

  Overrides:
    `checkChildType` in class `AbstractNode`

### fireDOMSubtreeModifiedEvent

    protected void fireDOMSubtreeModifiedEvent()

  Fires a DOMSubtreeModified event.

  Overrides:
    `fireDOMSubtreeModifiedEvent` in class `AbstractParentNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.